cdac.medinfo.model

## Class EmergencyContact

- java.lang.Object
- - cdac.medinfo.model.EmergencyContact

-     public class EmergencyContact
      extends java.lang.Object

  This class specify Emergency Contact Details. A contact specifically designated to be used for emergencies. This is the first choice in emergencies, independent of any other use codes.

  This class has the following attributes:

  1. Emergency Contact Name (String)
  2. Emergency Contact Family (String)
  3. Emergency Contact Suffix (String)
  4. Emergency Contact Prefix (String)
  5. Emergency Contact Gender (String)
  6. Emergency Contact Birth Time (String)
  7. Emergency Contact Number (List`<String>`) 8. Emergency Contact Address (List`<Address>`)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmergencyContact()` Default constructor of Emergency Contact.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Address>` | `getEmergencyContactAddress()` Returns list of the Emergency Contact Address.
    `java.lang.String` | `getEmergencyContactBirthTime()` Returns the Emergency Contact Person's Birth Time.
    `java.lang.String` | `getEmergencyContactFamily()` Returns the Emergency Contact Family Name.
    `java.lang.String` | `getEmergencyContactGender()` Returns the Emergency Contact Person's Gender.
    `java.lang.String` | `getEmergencyContactName()` Returns the Emergency Contact Person Name.
    `java.util.List<java.lang.String>` | `getEmergencyContactNumber()` Returns list of the Emergency Contact Number.
    `java.lang.String` | `getEmergencyContactPrefix()` Returns the Emergency Contact Name Prefix.
    `java.lang.String` | `getEmergencyContactSuffix()` Returns the Emergency Contact Name Suffix.
    `void` | `setEmergencyContactBirthTime(java.lang.String emergencyContactBirthTime)` Sets the Emergency Contact Person's Birth Time.
    `void` | `setEmergencyContactFamily(java.lang.String emergencyContactFamily)` Sets the Emergency Contact Family Name.
    `void` | `setEmergencyContactGender(java.lang.String emergencyContactGender)` Sets the Emergency Contact Person's Gender.
    `void` | `setEmergencyContactName(java.lang.String emergencyContactName)` Sets the Emergency Contact Person Name.
    `void` | `setEmergencyContactPrefix(java.lang.String emergencyContactPrefix)` Sets the Emergency Contact Name Prefix.
    `void` | `setEmergencyContactSuffix(java.lang.String emergencyContactSuffix)` Sets the Emergency Contact Name Suffix.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmergencyContact

          public EmergencyContact()

      Default constructor of Emergency Contact.

  - ### Method Detail

    - #### getEmergencyContactName

          public java.lang.String getEmergencyContactName()

      Returns the Emergency Contact Person Name.
      Returns:
        the emergencyContactName

    - #### setEmergencyContactName

          public void setEmergencyContactName(java.lang.String emergencyContactName)

      Sets the Emergency Contact Person Name.
      Parameters:
        `emergencyContactName` - Specifies the Emergency Contact Person Name.

    - #### getEmergencyContactFamily

          public java.lang.String getEmergencyContactFamily()

      Returns the Emergency Contact Family Name.
      Returns:
        the emergencyContactFamily

    - #### setEmergencyContactFamily

          public void setEmergencyContactFamily(java.lang.String emergencyContactFamily)

      Sets the Emergency Contact Family Name.
      Parameters:
        `emergencyContactFamily` - Specifies the Emergency Contact Family Name.

    - #### getEmergencyContactSuffix

          public java.lang.String getEmergencyContactSuffix()

      Returns the Emergency Contact Name Suffix.
      Returns:
        the emergencyContactSuffix

    - #### setEmergencyContactSuffix

          public void setEmergencyContactSuffix(java.lang.String emergencyContactSuffix)

      Sets the Emergency Contact Name Suffix.
      Parameters:
        `emergencyContactSuffix` - Specifies the Emergency Contact Name Suffix.

    - #### getEmergencyContactPrefix

          public java.lang.String getEmergencyContactPrefix()

      Returns the Emergency Contact Name Prefix.
      Returns:
        the emergencyContactPrefix

    - #### setEmergencyContactPrefix

          public void setEmergencyContactPrefix(java.lang.String emergencyContactPrefix)

      Sets the Emergency Contact Name Prefix.
      Parameters:
        `emergencyContactPrefix` - Specifies the Emergency Contact Name Prefix.

    - #### getEmergencyContactGender

          public java.lang.String getEmergencyContactGender()

      Returns the Emergency Contact Person's Gender.
      Returns:
        the emergencyContactGender

    - #### setEmergencyContactGender

          public void setEmergencyContactGender(java.lang.String emergencyContactGender)

      Sets the Emergency Contact Person's Gender.
      Parameters:
        `emergencyContactGender` - Specifies the Emergency Contact Person's Gender.

    - #### getEmergencyContactBirthTime

          public java.lang.String getEmergencyContactBirthTime()

      Returns the Emergency Contact Person's Birth Time.
      Returns:
        the emergencyContactBirthTime

    - #### setEmergencyContactBirthTime

          public void setEmergencyContactBirthTime(java.lang.String emergencyContactBirthTime)

      Sets the Emergency Contact Person's Birth Time.
      Parameters:
        `emergencyContactBirthTime` - Specifies the Emergency Contact Person's Birth Time.

    - #### getEmergencyContactNumber

          public java.util.List<java.lang.String> getEmergencyContactNumber()

      Returns list of the Emergency Contact Number.
      Returns:
        the emergencyContactNumber

    - #### getEmergencyContactAddress

          public java.util.List<Address> getEmergencyContactAddress()

      Returns list of the Emergency Contact Address.
      Returns:
        the emergencyContactAddress